OnlyFans API
OnlyFansSmart Links

Update Smart Link Pixel

Update a connected Team pixel. Changes apply to every Smart Link using the pixel.

PATCH
/api/smart-links/{smart_link_id}/pixels/{pixel_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The Smart Link ULID

pixel_id*integer

The pixel ID

Request Body

application/json

label?string|null

Display label. Omit or send an empty value to keep the current label. Must not be greater than 100 characters.

pixel_id?string|null

Replacement platform pixel ID. Omit or send an empty value to keep the current ID.

pixel_access_token?string|null

Replacement platform access token. Omit or send an empty value to keep the current token.

event_source_url?string|null

Replacement event source URL. Send null to clear it. Must be a valid URL. Must not be greater than 2048 characters.

event_click?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_new_subscriber?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_first_transaction?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_new_transaction?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_message_received_from_fan?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_fan_sent_1_message?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

event_fan_sent_3_messages?string|null

Replacement platform event name. Send null to clear it. Must not be greater than 100 characters.

Response Body

application/json

curl -X PATCH "https://app.onlyfansapi.com/api/smart-links/01JTESTLINK000000000000001/pixels/123" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 123,
    "platform": "meta",
    "platform_label": "Meta Ads",
    "label": "Updated Meta Pixel",
    "pixel_id": "1234567890",
    "event_source_url": null,
    "event_click": "ViewContent",
    "event_new_subscriber": "Subscribe",
    "event_first_transaction": "Purchase",
    "event_new_transaction": "Purchase",
    "event_message_received_from_fan": null,
    "event_fan_sent_1_message": "Contact",
    "event_fan_sent_3_messages": "Lead",
    "status": "healthy",
    "created_at": "2026-07-24T08:00:00+00:00",
    "updated_at": "2026-07-24T08:15:00+00:00"
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}